uniform sampler2D sceneTexture;
uniform sampler2D intensityMapTexture;
in varying vec2 texcoord_scene;
in varying vec2 texcoord_intensityMap;

void main(void)
{
	vec4 sceneColor;
	vec4 blendColor;

	sceneColor = texture2D(sceneTexture, texcoord_scene);
	blendColor = texture2D(intensityMapTexture, gl_FragCoord);
	//gl_FragColor = vec4( 1.,1.,1.,1.);
	gl_FragColor = sceneColor;
}